ServerInfo (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.catalina.util, class: ServerInfo

# Class ServerInfo

java.lang.Object
org.apache.catalina.util.ServerInfo

public class ServerInfo extends Object
Simple utility module to make it easy to plug in the server identifier when integrating Tomcat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerInfo()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getServerBuilt()`
  Returns the server built time for this version of Tomcat.
  `static String`
  `getServerBuiltISO()`
  Returns the server built date for this version of Tomcat in ISO-8601 date format.
  `static String`
  `getServerInfo()`
  Returns the server identification for this version of Tomcat.
  `static String`
  `getServerNumber()`
  Returns the server's version number.
  `static void`
  `main(String[] args)`
  Main entry point that prints server version, build date, OS, JVM, APR, OpenSSL, and third-party library information to standard output.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServerInfo

    public ServerInfo()
    Default constructor.

- ## Method Details

  - ### getServerInfo

    public static String getServerInfo()
    Returns the server identification for this version of Tomcat.
    Returns:
      the server identification string

  - ### getServerBuilt

    public static String getServerBuilt()
    Returns the server built time for this version of Tomcat.
    Returns:
      the server built time string

  - ### getServerBuiltISO

    public static String getServerBuiltISO()
    Returns the server built date for this version of Tomcat in ISO-8601 date format.
    Returns:
      the server built date in ISO-8601 format

  - ### getServerNumber

    public static String getServerNumber()
    Returns the server's version number.
    Returns:
      the server version number

  - ### main

    public static void main(String[] args)
    Main entry point that prints server version, build date, OS, JVM, APR, OpenSSL, and third-party library information to standard output.
    Parameters:
      `args` - Command line arguments (not used)